Imports CrystalDecisions.CrystalReports.Engine
Public Class frmadv
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim rpt As New ReportDocument
        rpt.Load("D:\Project\WindowsApp1\Homepage\reportadv.rpt") 'ชื่อและโฟลเดอร์ที่เก็บรายงานตอนสร้าง
        rpt.SetParameterValue("adv", Me.TextBox1.Text)
        Me.CrystalReportViewer1.ReportSource = rpt
        Me.CrystalReportViewer1.Refresh()
    End Sub
End Class